.btn {
    border-radius: 1rem;
    text-transform: none;
}

.map-hover {
    position: absolute;
    z-index: 1000;
    pointer-events: none;
    min-width: 12rem;
    background-color: white;

    opacity: 0;
}

.map-hover.visible {
    transition: opacity ease-in-out 0.4s;
    opacity: 1;
}

.map-popup-logo {
    border-radius: 100%;
}

.map-loading {
    position: absolute;

    z-index: 900;
    pointer-events: none;
    width: 4rem;
    height: 4rem;
    border-radius: 1rem;
    background-color: white;

    left: 50%;
    margin-left: -2rem;
    top: 50%;
    margin-top: -2rem;

    background-image: url('https://resources.esd.org.uk/images/common/loading.small.purple.gif');
    background-position: center center;
    background-repeat: no-repeat;
}

.gray-box {
    background-color: #E9E9E9;
    border-color: #E9E9E9;
    border-radius: 5px;
}

.badge-tag, .badge-category {
    color: #000000;
    background-color: #c7b0bc;
    border-color: #c7b0bc;
    border-radius: 100px;
}

.badge-category {
    color: #ffffff;
    background-color: #5a4099;
}

.badge-sm {
    font-size: small;
    margin: 0.4rem 0.4rem 0.4rem 0;
    padding: 0.3rem 0.4rem 0.4rem 0.6rem;
}

.selectors {
    min-height: 65px;
}

.legend-color {
    width: 1rem;
    height: 1rem;
    border-radius: 1rem;
    display: inline-block;
    margin-right: 0.5rem;
}

.btn-outline-primary {
    background-color: white;
}

@media screen and (max-width: 768px) {
    .area-selector {
        width: 100%;
    }
    .legend {
        width: 25%;
    }
}

@media screen and (min-width: 768px) and (max-width: 992px) {
    .area-selector {
        width: 43%;
    }
    .legend {
        width: 20%;
    }

}
@media screen and (min-width: 992px) and (max-width: 1200px) {
    .area-selector {
        width: 34%;
    }
    .legend {
        width: 20%;
    }

}
@media screen and (min-width: 1200px) and (max-width: 1400px) {
    .area-selector {
        width: 29%;
    }
    .legend {
        width: 15%;
    }
}

@media screen and (min-width: 1400px) {
    .area-selector {
        width: 26%;
    }
    .legend {
        width: 15%;
    }
}


@media screen and (min-width: 768px) {
    .area-selector {
        position: absolute;
        right: 1%;
        top: 1%;
        z-index: 1000;
        background: white;
        box-shadow: 2px 2px 2px 2px grey;
    }
}
.area-selector > .row {

    align-items: baseline;
    padding: 1rem;
}

.legend {
    position: absolute;
    left: 1%;
    bottom: 1%;
    z-index: 1000;
    background: white;
    box-shadow: 1px 1px 1px 1px grey;
}

.modal-header.container-fluid > .modal-title {
    display: flex;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
    align-items: center;
}

.btn.btn-link.underline-some {
    text-decoration: none;
}

.btn.btn-link.underline-some:hover .underline-this {
    text-decoration: underline;
}
